> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Eliminar de forma permanente un secreto mediante su ID. Esta acción no se puede revertir.

# Eliminar un secreto



## OpenAPI

````yaml es/v1-openapi.yaml DELETE /v1/secrets/{secret_id}
openapi: 3.1.0
info:
  description: Devin v1 API con API keys personales y de servicio
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets/{secret_id}:
    delete:
      summary: Eliminar un secreto
      description: Eliminar un secreto de la organización.
      operationId: delete_secret_v1_secrets__secret_id__delete
      parameters:
        - in: path
          name: secret_id
          required: true
          schema:
            title: Secret Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSecretResponse'
          description: Respuesta satisfactoria
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    DeleteSecretResponse:
      description: Respuesta tras la eliminación correcta de un secreto.
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: DeleteSecretResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Clave de API personal (apk_user_\*) o clave de API de servicio (apk_\*)
      scheme: bearer
      type: http

````